### Benchmark data example 3 - Microbiome Data - Section 5.3
## Clean data zero-sum regression model from Altenbuchinger et al.


### Initial Setup ###
# clean up
rm(list=ls())

## load packages
# install function for packages    
packages <- function(x){
  x <- as.character(match.call()[[2]])
  if (!require(x, character.only=TRUE)){
    install.packages(pkgs=x, repos="http://cran.r-project.org")
    require(x, character.only=TRUE)
  }
}
# functions to read/save MATLAB data
packages(R.matlab)


### Clean data (code taken from the zeroSum package) ###
# load data
indox <- as.matrix(read.csv("indoxylSulfate.csv", 
                             row.names = 1, stringsAsFactors = FALSE))
otus  <- as.matrix(read.csv("otu_table.csv",      
                             row.names = 1, stringsAsFactors = FALSE))

# construct response and predictor matrix
X <- t(log2(1 + otus))
y <- as.numeric(log2(indox))

# save data to .mat file
writeMat(con = "data3data.mat", y = y, X = X)
